> For the complete documentation index, see [llms.txt](https://docs.bloxroute.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.bloxroute.com/bsc/submit-transactions/tx-trace.md).

# Tx-Trace

The **Tx-Trace** service allows users to check the status of a submitted transaction — whether it was included on-chain, or how it behaved within bloXroute’s internal system.

With the Tx-Trace utility you can know if a transaction was private or public, what region received it first, and the timestamp each region saw it. Traders can optimize their trading bot and infrastructure to minimize latency and processing time.

For each region, Tx-Trace will return the timestamp the transaction was processed and the time difference from the first region to process it.

Tx-Trace data is available only for a few hours. In case the data has been purged, the following will be displayed (this message will also be displayed for private transactions):

```
{"message":"received no info about transaction <TX hash> from relays"}
```

This endpoint is available with a limit of **20 requests per day**.

[Purchase the **Tx Trace Add-on**](https://portal.bloxroute.com/pricing) to increase the limit to **500 requests per day**.

## Submission Endpoint

* Method: `txtrace`
* Endpoint: `https://tools.bloxroute.com`

### Parameters

<table><thead><tr><th>Name</th><th width="248.33333333333331">Description</th></tr></thead><tbody><tr><td><code>auth_header</code></td><td><p>Allows the user to include the authentication in the URL string directly.</p><p>If the authentication is provided in both the header and the URL parameter, the one in the header will be used.</p></td></tr><tr><td><code>tx_hash</code></td><td>Transaction hash</td></tr></tbody></table>

#### **Response Fields**

<table><thead><tr><th>Name</th><th width="248.33333333333331">Description</th></tr></thead><tbody><tr><td><code>readable</code></td><td>Shows the time the transaction was received by each region in a neat string format.</td></tr></tbody></table>

### Example

{% tabs %}
{% tab title="curl" %}

```bash
curl \
    -X GET \
    -H "Content-Type: application/json" \
    -H "Authorization: <YOUR-AUTHORIZATION-HEADER>" \
    https://tools.bloxroute.com/txtrace/<TX_HASH>
```

{% endtab %}

{% tab title="browser" %}

```
https://tools.bloxroute.com/txtrace/<TX_HASH>?auth_header=<AUTH_HEADER>
```

{% endtab %}
{% endtabs %}

**Response**

```
{"txTrace":[
    {"region":"EU United Kingdom","txTime":"2021-11-09 14:55:54.755","diff":"+0ms"},
    {"region":"EU Germany","txTime":"2021-11-09 14:55:54.762","diff":"+7ms"}, 
..  ...
    ],
"txHash":"4a0c243bc1556c665dc5de722fb425a61e446a122f60a5addefaf7c5b13c2dea",
"numberOfRegions":10}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.bloxroute.com/bsc/submit-transactions/tx-trace.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
